Skip to content

/api/v1/facilities/{facilityId}/inbound/exceptions/{exceptionId}/resolve

POST
/api/v1/facilities/{facilityId}/inbound/exceptions/{exceptionId}/resolve
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inbound/exceptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "note": "example" }'
facilityId
required
string format: uuid
exceptionId
required
string format: uuid
object
note
string
nullable

Example generated

{
"note": "example"
}

OK

object
id
required
string format: uuid
facilityId
required
string format: uuid
type
required
string
Allowed values: Overage Shortage Damaged UnexpectedProduct PostingFailed
status
required
string
Allowed values: Open Resolved
asnId
required
string format: uuid
asnNumber
required
string
asnLineId
required
string format: uuid
nullable
receiptId
required
string format: uuid
nullable
receiptLineId
required
string format: uuid
nullable
lpnCode
required
string
nullable
productId
required
string format: uuid
nullable
sku
required
string
nullable
baseQuantity
required
integer format: int32
errorCode
required
string
nullable
detail
required
string
nullable
resolutionNote
required
string
nullable
resolvedBy
required
string
nullable
resolvedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable